# @idux

`@idux` 是一套企业级中后台 UI 组件库, 致力于提供高效愉悦的开发体验。  
基于 Vue 3.x + TypeScript 开发, 全部代码开源并遵循 MIT 协议，任何企业、组织及个人均可免费使用。

[![Build Status](https://dev.azure.com/iduxfeteam/IduxFE/_apis/build/status/IduxFE.idux?branchName=azure-pipelines)](https://dev.azure.com/iduxfeteam/IduxFE/_build/latest?definitionId=1&branchName=azure-pipelines)
[![CodeFactor](https://www.codefactor.io/repository/github/iduxfe/idux/badge)](https://www.codefactor.io/repository/github/iduxfe/idux)
[![codecov](https://codecov.io/gh/IduxFE/idux/branch/main/graph/badge.svg?token=PGAUXP06V3)](https://codecov.io/gh/IduxFE/idux)
[![code style: prettier](https://img.shields.io/badge/code_style-prettier-ff69b4.svg)](https://github.com/prettier/prettier)
[![GitHub license](https://img.shields.io/github/license/mashape/apistatus.svg)](https://github.com/IduxFE/idux/blob/main/LICENSE)

## ✨ 特性

- Monorepo 管理模式：`cdk`, `components`, `pro`
- 全面拥抱 Composition Api，从源码到文档
- 完全使用 TypeScript 开发，提供完整的类型定义
- 开箱即用的 Tree Shaking
- 高覆盖率的单元测试
- 国际化语言支持
- 灵活的全局配置
- 深入细节的主题定制能力

## 🖥 支持环境

- Vue `^3.0.0` [![vue-next](https://img.shields.io/npm/v/vue/next.svg)](https://www.npmjs.com/package/vue/v/next)

## 📦 安装

## 🔨 使用

## 🔗 链接

## ⌨️ 开发

```bash
npm install

npm start
```

使用浏览器访问：`http://localhost:3000`

## 🤝 如何贡献

[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square)](https://github.com/IduxFE/idux/pulls)

在任何形式的参与前，请先阅读 [贡献者文档](https://github.com/IduxFE/idux/blob/main/packages/site/src/docs/Contributing.zh.md)。如果你希望参与贡献，欢迎 [Pull Request](https://github.com/IduxFE/idux/pulls)，或给我们 [报告 Bug](https://github.com/IduxFE/idux/issues)。

> 强烈推荐阅读 [《提问的智慧》](https://github.com/ryanhanwu/How-To-Ask-Questions-The-Smart-Way)、[《如何向开源社区提问题》](https://github.com/seajs/seajs/issues/545) 和 [《如何有效地报告 Bug》](http://www.chiark.greenend.org.uk/%7Esgtatham/bugs-cn.html)、[《如何向开源项目提交无法解答的问题》](https://zhuanlan.zhihu.com/p/25795393)，更好的问题更容易获得帮助。

## 💖 特别感谢

- [@angular](https://github.com/angular)
- [ant-design](https://github.com/ant-design)
- [NG-ZORRO](https://github.com/NG-ZORRO)

## ☀️ 授权协议

[MIT](https://github.com/IduxFE/idux/blob/main/LICENSE) © 2020-present IduxFE

npm publish --tag=next --access=public
