const env = new class Env {
  constructor() {
    this.config = {};
  }
  init(VUE_APP_BASE_CONFIG_NAME = "_FLY_GLOBAL_CONFIG") {
    this.config = window[process.env.VUE_APP_BASE_CONFIG_NAME];
  }
  get idm() {
    return {
      url: this.config.idm["auth-server-url"],
      realm: this.config.idm["realm"],
      clientId: this.config.idm["resource"],
      credentials: this.config.idm["credentials"]
    };
  }
  get httpPlaceholder() {
    const placeholderMap = {};
    Object.keys(this.config).filter((keys) => {
      return keys.startsWith("http.placeholder.");
    }).forEach((keys) => {
      placeholderMap[keys.replace("http.placeholder.", "")] = this.config[keys];
    });
    return placeholderMap;
  }
  get baseUrl() {
    return this.config["base.url"] || "";
  }
}();
const Plugin = {
  install(vue, BASE_CONFIG_NAME) {
    env.init(BASE_CONFIG_NAME);
  }
};
export default Plugin;
export {env};
