import {PlaceholderService} from "@flydiy/vue-core/http";
import {AuthService} from "@flydiy/vue-core/auth";
const PlaceholderInterceptorPlugin = {
  install(vue, _http) {
    _http.interceptors.request.use((config) => {
      config.url = PlaceholderService.replaceUrl(config.url);
      return config;
    }, (error) => {
      Promise.reject(error);
    });
  }
};
var __async = (__this, __arguments, generator) => {
  return new Promise((resolve, reject) => {
    var fulfilled = (value) => {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    };
    var rejected = (value) => {
      try {
        step(generator.throw(value));
      } catch (e) {
        reject(e);
      }
    };
    var step = (x) => x.done ? resolve(x.value) : Promise.resolve(x.value).then(fulfilled, rejected);
    step((generator = generator.apply(__this, __arguments)).next());
  });
};
const AuthTokenInterceptorPlugin = {
  install(vue, _http) {
    _http.interceptors.request.use((config) => __async(this, null, function* () {
      if (!AuthService.authenticated() || config.headers["no-Authorization"]) {
        return config;
      }
      const token = yield AuthService.getToken();
      config.headers["Authorization"] = `Bearer ${token}`;
      return config;
    }), (error) => {
      Promise.reject(error);
    });
  }
};
export {AuthTokenInterceptorPlugin, PlaceholderInterceptorPlugin};
