import {defineComponent, resolveComponent, openBlock, createBlock, withCtx, Fragment, renderList, createCommentVNode, createVNode, toDisplayString, mergeProps} from "vue";
var __async = (__this, __arguments, generator) => {
  return new Promise((resolve, reject) => {
    var fulfilled = (value) => {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    };
    var rejected = (value) => {
      try {
        step(generator.throw(value));
      } catch (e) {
        reject(e);
      }
    };
    var step = (x) => x.done ? resolve(x.value) : Promise.resolve(x.value).then(fulfilled, rejected);
    step((generator = generator.apply(__this, __arguments)).next());
  });
};
var _sfc_main$1 = defineComponent({
  name: "FlyMenu",
  components: {},
  props: {
    mode: String
  },
  data() {
    const selectedKeys = [];
    let menus = [];
    return {
      selectedKeys,
      menus
    };
  },
  mounted() {
    this.queryMenu(this.appCode).then((menus) => {
      this.menus = menus;
    });
  },
  methods: {
    queryMenu(appCode) {
      return __async(this, null, function* () {
        const result = yield this.$http.get(`{flybasePrefix}/api/menuForApplicationUser/${appCode}`);
        const menus = result.data;
        const baseUrl = (process.env.BASE_URL || "").origin.replace(/\/$/, "");
        function init(menus2) {
          for (const menu of menus2) {
            if (menu.route) {
              menu.url = `${baseUrl}${menu.route}`;
            }
            if (Array.isArray(menu.children) && menu.children.length > 0) {
              init(menu.children);
            }
          }
        }
        init(menus);
        return menus;
      });
    },
    onMenuItemClick($event, menu) {
      $event.domEvent.preventDefault();
      if (menu.isNewWindow) {
        window.open(menu.url);
      }
      if (menu.route) {
        this.$router.push(menu.route);
      } else {
        window.location.href = menu.url;
      }
    }
  }
});
function _sfc_render$1(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_a_menu_item = resolveComponent("a-menu-item");
  const _component_fly_sub_menu = resolveComponent("fly-sub-menu");
  const _component_a_menu = resolveComponent("a-menu");
  return openBlock(), createBlock(_component_a_menu, {
    theme: "dark",
    mode: "inline",
    selectedKeys: _ctx.selectedKeys,
    "onUpdate:selectedKeys": _cache[1] || (_cache[1] = ($event) => _ctx.selectedKeys = $event),
    class: "fly-menu"
  }, {
    default: withCtx(() => [
      (openBlock(true), createBlock(Fragment, null, renderList(_ctx.menus, (menu) => {
        return openBlock(), createBlock(Fragment, null, [
          !menu.children ? (openBlock(), createBlock(_component_a_menu_item, {
            key: menu.menuName,
            onClick: ($event) => _ctx.onMenuItemClick($event, menu)
          }, {
            default: withCtx(() => [
              createCommentVNode('          <a-icon type="pie-chart" />'),
              createVNode("a", {
                href: menu.url
              }, toDisplayString(menu.menuName), 9, ["href"])
            ]),
            _: 2
          }, 1032, ["onClick"])) : (openBlock(), createBlock(_component_fly_sub_menu, {
            key: menu.menuName,
            menuItem: menu,
            clickMenu: _ctx.onMenuItemClick
          }, null, 8, ["menuItem", "clickMenu"]))
        ], 64);
      }), 256))
    ]),
    _: 1
  }, 8, ["selectedKeys"]);
}
_sfc_main$1.render = _sfc_render$1;
var _sfc_main = defineComponent({
  components: {},
  name: "FlySubMenu",
  props: {
    menuItem: Object,
    clickMenu: Function
  },
  methods: {
    onMenuItemClick($event, item) {
      this.clickMenu($event, item);
    }
  }
});
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_a_menu_item = resolveComponent("a-menu-item");
  const _component_fly_sub_menu = resolveComponent("fly-sub-menu", true);
  const _component_a_sub_menu = resolveComponent("a-sub-menu");
  return _ctx.menuItem ? (openBlock(), createBlock(_component_a_sub_menu, mergeProps({
    key: 0,
    key: _ctx.menuItem.menuName
  }, _ctx.$props), {
    title: withCtx(() => [
      createVNode("span", null, toDisplayString(_ctx.menuItem.menuName), 1)
    ]),
    default: withCtx(() => [
      (openBlock(true), createBlock(Fragment, null, renderList(_ctx.menuItem.children, (menu) => {
        return openBlock(), createBlock(Fragment, null, [
          !menu.children ? (openBlock(), createBlock(_component_a_menu_item, {
            key: menu.menuName,
            onClick: ($event) => _ctx.onMenuItemClick($event, menu)
          }, {
            default: withCtx(() => [
              createVNode("a", {
                href: menu.url
              }, toDisplayString(menu.menuName), 9, ["href"])
            ]),
            _: 2
          }, 1032, ["onClick"])) : (openBlock(), createBlock(_component_fly_sub_menu, {
            key: menu.menuName,
            "menu-info": menu
          }, null, 8, ["menu-info"]))
        ], 64);
      }), 256))
    ]),
    _: 1
  }, 16)) : createCommentVNode("v-if", true);
}
_sfc_main.render = _sfc_render;
const Plugin = {
  install(vue) {
    vue.component(_sfc_main$1.name, _sfc_main$1);
    vue.component(_sfc_main.name, _sfc_main);
  }
};
export default Plugin;
export {_sfc_main$1 as FlyMenu, _sfc_main as FlySubMenu};
